> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar Comportamento e Atitude

> Cadastra um novo comportamento e atitude global no sistema



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json post /api/v1/empregabilidade/comportamentos-atitudes
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregabilidade/comportamentos-atitudes:
    post:
      tags:
        - empregabilidade-comportamentos-atitudes
      summary: Criar Comportamento e Atitude
      description: Cadastra um novo comportamento e atitude global no sistema
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/empregabilidade.CreateComportamentoAtitudesRequest
        description: Dados do comportamento/atitude
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: integer
                  format: int64
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
        '500':
          description: Erro ao criar comportamento/atitude
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    empregabilidade.CreateComportamentoAtitudesRequest:
      type: object
      required:
        - nome
      properties:
        nome:
          type: string
          example: Trabalho em Equipe
    response.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Mensagem de erro aqui
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.